<?php

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->namespace('Api')->group(function () {
    //视频接口
    Route::post('camera/getlist', 'CameraApiController@getCamerasList');
    Route::post('camera/geturl', 'CameraApiController@getCamerasUrl');
    Route::post('camera/getrtsp', 'CameraApiController@getCamerasRtsp');
    Route::post('camera/transcode', 'CameraApiController@getTranscodeInfo');
    Route::get('camera/stopstream', 'CameraApiController@stopCamerasStream');
    Route::post('camera/lake/getlist', 'CameraApiController@getSouthLakeCamera');
    Route::post('camera/surface/getlist', 'CameraApiController@getWorkSurfaceCamera');
    Route::post('camera/get_hik_rtsp', 'CameraApiController@getHikRtsp');//海康获取rtsp流

    //海康视频接口
    Route::get('haikang/monitor/regions/list', 'HaiKangController@getRegionsList');
    Route::get('haikang/monitor/cameras/list', 'HaiKangController@getCamerasList');
    Route::get('haikang/monitor/cameras/url', 'HaiKangController@getCamerasUrl');
    Route::get('haikang/monitor/cameras/transcode', 'HaiKangController@getTranscodeInfo');
});